# frog 

This is a better TOAD (i.e. a SQL client for Oracle Databases)

## Usage

* The best experience is with the `PL/SQL` extension installed.
* `Ctrl+Enter` executes the currently selected command
* The results are shown in a HTML preview window. You can use `Alt+Cmd+1` to switch the window to the bottom.

## Configuration file

To configure the available connections you can create a file named `.frog.json` in your home directory with a content like this:

```json
{ "type": "folder",
  "name": "root",
  "items": [
    { "type": "folder",
      "name": "Example Folder",
      "items": [
        {
          "type": "connection",
          "name": "Connection 1",
          "host": "127.0.0.1",
          "port": 1521,
          "sid": "world",
          "username": "scott",
          "password": "tiger"
        }
      ]}
  ]
}
``` 